ubuntu/+source/libktorrent:applied/ubuntu/cosmic

Last commit made on 2017-09-01
Get this branch:
git clone -b applied/ubuntu/cosmic https://git.launchpad.net/ubuntu/+source/libktorrent
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/cosmic
Repository:
lp:ubuntu/+source/libktorrent

Recent commits

1bcfcef... by Rik Mills on 2017-09-01

Import patches-applied version 2.1.0-0ubuntu1 to applied/ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 78504bd6bd733b08a94efc5fc82d98bd2c787b63
Unapplied parent: 08c598c4f19b155baab6732f8a44b6e56f9f42fe

New changelog entries:
  * New upstream release (2.1.0)

08c598c... by Rik Mills on 2017-09-01

Add definition of PATH_MAX when not otherwise defined

Gbp-Pq: set-pathmax.diff.

5a714c0... by Rik Mills on 2017-09-01

Import patches-unapplied version 2.1.0-0ubuntu1 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: bee26a1e58b035017819bd2b17f4052d86622027

New changelog entries:
  * New upstream release (2.1.0)

78504bd... by Rik Mills on 2017-08-21

Import patches-applied version 2.0.90-0ubuntu1 to applied/ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 2c10ff4f9f7a9e846c6f33a0e1c47578e16a2cc4
Unapplied parent: 2fbc035ea6451ceab25b397afd152f1c6477ccc9

New changelog entries:
  * New upstream RC release (2.0.90)
  * Switch kio depends to new KF5 name: kio-dev -> libkf5kio-dev
  * wrap-and-sort
  * Update symbols from build logs
  * Libraries and development files now have KF5 style paths and names,
    so update install files accordingly.
  * debian/patches: drop cmake-gcrypt-version.diff as similar fix applied
    in upstream master

bee26a1... by Rik Mills on 2017-08-21

Import patches-unapplied version 2.0.90-0ubuntu1 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 19633ec18d81ed87d378ad4056e764eb8cb69d48

New changelog entries:
  * New upstream RC release (2.0.90)
  * Switch kio depends to new KF5 name: kio-dev -> libkf5kio-dev
  * wrap-and-sort
  * Update symbols from build logs
  * Libraries and development files now have KF5 style paths and names,
    so update install files accordingly.
  * debian/patches: drop cmake-gcrypt-version.diff as similar fix applied
    in upstream master

2fbc035... by Rik Mills on 2017-08-21

Add definition of PATH_MAX when not otherwise defined

Gbp-Pq: set-pathmax.diff.

2c10ff4... by Pino Toscano <email address hidden> on 2016-07-03

Import patches-applied version 2.0.1-1 to applied/debian/experimental

Imported using git-ubuntu import.

Changelog parent: 374d7dc9b0d076698770fa86ee4ca11eefc88045
Unapplied parent: 20b6f703b4337cac7876f129014ab482adfb2617

New changelog entries:
  * Team upload.
  * New upstream release.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev and libqca2-dev
    - add extra-cmake-modules, qtbase5-dev, libkf5archive-dev, libkf5crash-dev,
      libkf5i18n-dev, kio-dev, libkf5solid-dev, and libqca-qt5-2-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Rename libktorrent5 to libktorrent6, following the SONAME bump.
  * Update the patches:
    - upstream_don-t-include-circular_buffer-in-moc-run.patch: drop,
      backported from upstream
    - set-pathmax.diff: refresh
  * Fix extraction in cmake of the libcrypt version; patch
    cmake-gcrypt-version.diff.
  * Update install files.
  * Update symbols file.
  * Remove libktorrent-dbg in favour of the -dbgsym packages.
  * Update dependencies in libktorrent-dev.
  * Update Vcs-* fields.
  * Switch Homepage away from the dead ktorrent.org.
  * Add a watch file.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Mark libktorrent6 as "Multi-Arch: same".
  * Small updates in the descriptions.
  * Replace (build) dependencies with non-transitional packages:
    - libgmp3-dev -> libgmp-dev
    - libgcrypt11-dev -> libgcrypt20-dev
  * Minor copyright update.

19633ec... by Pino Toscano <email address hidden> on 2016-07-03

Import patches-unapplied version 2.0.1-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 6be88cce3a462af721974521c4e43edc867bd2e6

New changelog entries:
  * Team upload.
  * New upstream release.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev and libqca2-dev
    - add extra-cmake-modules, qtbase5-dev, libkf5archive-dev, libkf5crash-dev,
      libkf5i18n-dev, kio-dev, libkf5solid-dev, and libqca-qt5-2-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Rename libktorrent5 to libktorrent6, following the SONAME bump.
  * Update the patches:
    - upstream_don-t-include-circular_buffer-in-moc-run.patch: drop,
      backported from upstream
    - set-pathmax.diff: refresh
  * Fix extraction in cmake of the libcrypt version; patch
    cmake-gcrypt-version.diff.
  * Update install files.
  * Update symbols file.
  * Remove libktorrent-dbg in favour of the -dbgsym packages.
  * Update dependencies in libktorrent-dev.
  * Update Vcs-* fields.
  * Switch Homepage away from the dead ktorrent.org.
  * Add a watch file.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Mark libktorrent6 as "Multi-Arch: same".
  * Small updates in the descriptions.
  * Replace (build) dependencies with non-transitional packages:
    - libgmp3-dev -> libgmp-dev
    - libgcrypt11-dev -> libgcrypt20-dev
  * Minor copyright update.

20b6f70... by Pino Toscano <email address hidden> on 2016-07-03

Fix extraction of libgcrypt version

Gbp-Pq: cmake-gcrypt-version.diff.

df486db... by Pino Toscano <email address hidden> on 2016-07-03

Add definition of PATH_MAX when not otherwise defined

Gbp-Pq: set-pathmax.diff.